# Changelog

## 2025-06-22 - 1.9.0 - feat(form-inputs)
Improve form input consistency and auto spacing across inputs and buttons

- Add an 'insideForm' property to dees-button for auto-detection and proper margin adjustment in forms.
- Update dees-input-radio to include a 'name' property so that radio buttons in the same group are mutually exclusive.
- Enhance dees-form to group radio inputs properly when collecting form data.
- Revise readme.hints.md and readme.plan.md to document changes and provide guidance for dees-input-radio.
- Update demos for dees-button and dees-form to showcase correct spacing in vertical and horizontal layouts.

## 2025-06-20 - 1.8.20 - fix(deps)
Update dependency versions: bump @design.estate/dees-domtools from ^2.1.1 to ^2.3.3, @design.estate/dees-element from ^2.0.42 to ^2.0.44, lucide from ^0.515.0 to ^0.518.0, and @git.zone/tsbundle from ^2.0.15 to ^2.4.0

- Upgrade @design.estate/dees-domtools from ^2.1.1 to ^2.3.3
- Upgrade @design.estate/dees-element from ^2.0.42 to ^2.0.44
- Upgrade lucide from ^0.515.0 to ^0.518.0
- Upgrade @git.zone/tsbundle from ^2.0.15 to ^2.4.0

## 2025-06-10 - 1.8.1 - fix(dees-statsgrid)
Adjust stats grid styling for better alignment and improved visualizations in gauge and trend tiles.

- Center-align tile header elements by setting align-items to center and ensuring full width.
- Increase tile content height to 90px and center its content.
- Update gauge visualization: reduce circle radius from 40 to 30, adjust stroke dasharray (from 251.2 to 188.5), and decrease gauge text font size.
- Refine trend chart layout: set trend-svg height to 40px, center trend value and adjust typography to larger, bolder text.
- Ensure overall grid responsiveness with adjusted gap and column sizing.

## 2025-04-25 - 1.8.0 - feat(dees-pagination)
Add new pagination component to the library along with its demo and integration in the main export.

- Introduced dees-pagination component with support for various page range scenarios.
- Created demo file to showcase pagination with both small and large sets of pages.
- Updated the module's index to export the new pagination component.

## 2025-04-22 - 1.7.0 - feat(dees-searchbar)
Add dees-searchbar component with live search and filter demo

- Introduces a new dees-searchbar element with an input field, a search button, and filters
- Wires up events for 'search-changed' and 'search-submit' to provide real‐time feedback
- Adds a demo file to showcase usage and logging of search events

## 2025-04-22 - 1.6.0 - feat(documentation/dees-heading)
Add codex documentation overview and dees-heading component demo

- Introduce 'codex.md' to provide a high-level overview of project layout, component patterns, and build workflow
- Add and update dees-heading component with demo to support multiple heading levels and horizontal rule styles
- Update component export index to include dees-heading

## 2025-04-18 - 1.5.6 - fix(dependencies)
Bump dependency versions and update demo code references

- Upgrade @design.estate/dees-element from ^2.0.39 to ^2.0.41
- Upgrade @tsclass/tsclass from ^4.4.0 to ^9.0.0
- Upgrade lucide from ^0.488.0 to ^0.501.0
- Update @types/node from ^22.10.7 to ^22.14.1
- Update dees-icon demo: scope search to demo container and adjust hover scaling
- Replace resolveExec with directives.resolveExec in dees-table for proper rendering

## 2025-04-12 - 1.5.5 - fix(catalog)
No code or documentation changes were detected. This commit records an empty update in commit information and confirms that the current state remains stable.

- Verified that there are no modifications in source, documentation, or demos
- Commit metadata and build configuration remain unchanged

## 2025-04-11 - 1.5.4 - fix(readme)
Update readme with company and trademark guidelines, clarifying legal usage without exposing licensing details.

- Added sections detailing company information and trademark guidelines.
- Outlined legal disclaimers for trademark usage.

## 2025-04-11 - 1.5.3 - fix(readme)
Update readme.md: remove redundant usage section and refine component documentation with improved examples.

- Removed the standalone manual import and usage example for components.
- Added refined examples demonstrating both basic and option-based usage (e.g. for DeesButton).
- Improved markdown formatting and consistency across component documentation.

## 2025-04-11 - 1.5.3 - fix(readme)
Update readme.md for clearer documentation: removed redundant 'Usage' section and refined component examples (e.g., DeesButton's basic and options usage) for improved clarity and consistency.

- Removed standalone usage example showing manual import and creation of components
- Added refined examples demonstrating both basic and option-based usage of components
- Improved overall readme formatting and consistency across component documentation

## 2025-04-11 - 1.5.2 - fix(ci)
Remove obsolete GitLab CI configuration file

- Deleted .gitlab-ci.yml as the CI pipeline configuration is now managed elsewhere.
- Cleaned up CI stages for security, testing, release, and metadata.

## 2025-04-11 - 1.5.1 - fix(readme)
Update readme with comprehensive reference documentation: add a usage snippet for components like DeesButton, introduce a detailed overview table of all component categories, and enhance documentation sections for each component group.

- Added a code example showing how to import and use DeesButton.
- Introduced a components overview table that categorizes Core UI, Forms, Layout, Data Display, Visualization, Dialogs & Overlays, Navigation, and Development components.
- Expanded detailed documentation with usage examples for each component type.
- Reorganized content to improve clarity and ease of navigation for developers.

## 2025-04-11 - 1.5.0 - feat(badge)
Add dees-badge component with demo file and update packageManager field in package.json

- Introduce a new badge component allowing different types (default, primary, success, warning, error) with an optional rounded style
- Provide a demo for the badge component
- Export the badge component in the main elements index
- Update package.json to include an explicit packageManager field

## 2025-01-20 - 1.4.1 - fix(dependencies)
Update dependency versions for smartpromise, webcontainer/api, tapbundle, and @types/node

- Update @push.rocks/smartpromise to version ^4.2.0
- Downgrade @webcontainer/api to version 1.2.0
- Update @push.rocks/tapbundle to version ^5.5.6
- Update @types/node to version ^22.10.7

## 2025-01-20 - 1.4.0 - feat(dees-terminal)
Enhanced the dees-terminal component to support environment variable settings and improved setup command execution.

- Added environment property to pass custom environment variables.
- Introduced webcontainerDeferred to handle the promise for web container creation.
- Enhanced demo to illustrate environment variable usage.
- Improved async interaction with the terminal for setting environment variables and executing setup commands.

## 2025-01-15 - 1.3.4 - fix(chart)
Fix chart rendering and appearance issues in the DeesChartArea component.

- Resolved issues with chart dimensions calculation based on padding.
- Adjusted grid and axis lines appearance for better visibility.
- Updated tooltip and grid line styling for better accessibility.
- Improved series data representation as time-series for more accurate display.

## 2024-12-17 - 1.3.3 - fix(dees-input-multitoggle)
Add missing TypeScript declaration for dees-input-multitoggle

- Added a missing declaration to the HTMLElementTagNameMap for 'dees-input-multitoggle' element.

## 2024-12-09 - 1.3.2 - fix(metadata)
Updated package metadata and readme for better project description and structure.

- Updated package.json and npmextra.json with a detailed project description and list of keywords.
- Enhanced readme.md with installation instructions, component usage examples, and detailed component descriptions for clarity.

## 2024-11-07 - 1.3.1 - fix(DeesSimpleAppDash)
Fix: add border to controlbar in DeesSimpleAppDash

- Fixed the missing border at the top of the controlbar in DeesSimpleAppDash.

## 2024-11-07 - 1.3.0 - feat(dees-simple-appdash)
Enhance responsive styling and terminal setup command

- Added a new property `terminalSetupCommand` for configuring terminal setup commands.
- Improved responsive styling and positioning for components to achieve a fluid layout.
- Fixed layout shifts by switching positions to `absolute` for `appbar` and `appcontent`.

## 2024-10-07 - 1.2.0 - feat(index.ts)
Add export for colors module in index.ts

- The index.ts file now exports the colors module, making color utilities available for external use.

## 2024-10-06 - 1.1.13 - fix(dees-button)
Fix styling issue in button component.

- Moved the .button.disabled styling block to its correct position after the .button.highlighted block.

## 2024-10-06 - 1.1.12 - fix(dees-button)
Fix reflect attribute for disabled property on dees-button component

- Added reflect: true to the 'disabled' property ensuring changes reflect in the DOM attribute.

## 2024-10-05 - 1.1.11 - fix(DeesStepper)
Adjusted CSS properties in DeesStepper component

- Increased border-radius from 8px to 16px for step container elements
- Adjusted font-size and font-weight for the title in the step container to improve readability

## 2024-10-04 - 1.1.10 - fix(dependencies)
Reverted @webcontainer/api version

- Changed @webcontainer/api version from ^1.3.0 to 1.2.0 in package.json

## 2024-10-04 - 1.1.9 - fix(dependencies)
Update various dependencies for compatibility and stability.

- Update @design.estate/dees-domtools to version ^2.0.61
- Update @design.estate/dees-element to version ^2.0.39
- Update @webcontainer/api to version ^1.3.0
- Update apexcharts to version ^3.54.0
- Update monaco-editor to version ^0.52.0
- Update pdfjs-dist to version ^4.6.82
- Update @push.rocks/tapbundle to version ^5.3.0
- Update @types/node to version ^22.7.4

## 2024-09-02 - 1.1.8 - fix(dees-simple-appdash)
Corrected viewTab active background color

- Corrected the background color of the viewTab in active state for better visual consistency.

## 2024-09-02 - 1.1.7 - fix(dependencies)
Update dependencies to their latest versions

- Update dependency versions in package.json:
-   - @design.estate/dees-element from ^2.0.34 to ^2.0.36
-   - @fortawesome/fontawesome-svg-core from ^6.5.2 to ^6.6.0
-   - @fortawesome/free-brands-svg-icons from ^6.5.2 to ^6.6.0
-   - @fortawesome/free-regular-svg-icons from ^6.5.2 to ^6.6.0
-   - @fortawesome/free-solid-svg-icons from ^6.5.2 to ^6.6.0
-   - @tsclass/tsclass from ^4.0.63 to ^4.1.2
-   - apexcharts from ^3.49.2 to ^3.53.0
-   - highlight.js from 11.9.0 to 11.10.0
-   - monaco-editor from ^0.50.0 to ^0.51.0
-   - pdfjs-dist from ^4.3.136 to ^4.5.136
-   - @git.zone/tsbuild from ^2.1.82 to ^2.1.84
-   - @push.rocks/tapbundle from ^5.0.23 to ^5.0.24
-   - @types/node from ^20.14.9 to ^22.5.2

## 2024-07-01 - 1.1.6 - fix(dees-dataview-codebox)
Corrected the font-family order for better font rendering.

- Corrected the font-family order in dees-dataview-codebox.ts to ensure 'Intel One Mono' is prioritized over 'Geist Mono'.

## 2024-07-01 - 1.1.5 - fix(dees-dataview-codebox)
Adjusted line number font weight in codebox

- Changed the line number font weight from 400 to 200 in the codebox for better visual alignment.

## 2024-07-01 - 1.1.4 - fix(UI)
Fixed font-family order for code and value elements

- Updated font-family order in dees-dataview-codebox.ts
- Updated font-family order in dees-dataview-statusobject.ts

## 2024-07-01 - 1.1.3 - fix(dees-dataview-codebox)
Adjusted codebox font weight and font family.

- Changed font weight from 200 to 400 for better readability.
- Updated font-family to include 'Geist Mono' for uniform appearance.

## 2024-06-30 - 1.1.2 - fix(elements)
Fix various UI components and improve styles

- Updated styles for multiple components for better appearance in dark mode.
- Added missing event handling in `dees-input-fileupload` component.
- Implemented tooltip support in `dees-label` component.
- Fixed alignment issues in `dees-appui-*` components.
- Resolved various accessibility issues in form elements.

## 2024-06-30 - 1.1.1 - fix(build)
Fix build script by updating source folders.

- Updated build script to correctly reference 'tsfolders' folder.

## 2024-06-30 - 1.1.0 - feat(project dependencies)
Updated various dependencies and internal fonts

- Updated dependencies in package.json with the latest versions.
- Updated font-family references from 'Roboto' and 'Inter' to 'Geist Sans' across multiple components.

## 2024-04-20 - 1.0.289 - Documentation Update
Updated the project documentation.

## 2024-02-05 to 2024-02-13 - 1.0.277 to 1.0.288 - Core Fixes 
Series of core updates and patches.

## 2024-01-22 to 2024-02-05 - 1.0.257 to 1.0.276 - Core Fixes
More core updates and patches.

## 2024-01-21 - 1.0.256 to 1.0.257 - Core Fixes
Minor bugfixes for core functionalities.

## 2024-01-18 - 1.0.246 - Core Fixes
Bugfixes for core functionalities.

## 2024-01-15 - 1.0.242 to 1.0.245 - Core Fixes
Various core bugfixes.

## 2024-01-11 - 1.0.241 to 1.0.242 - Core Fixes
Bugfixes for core functionalities.

## 2024-01-10 - 1.0.240 to 1.0.241 - Core Fixes
Minor core fixes and improvements.

## 2024-01-09 - 1.0.239 to 1.0.240 - Core Fixes
Core updates and patches.

## 2023-12-26 - 1.0.238 to 1.0.239 - Core Fixes
Updates to core functionalities.

## 2023-12-20 - 1.0.236 to 1.0.238 - Core Fixes
Bugfixes and updates for core functionalities.

## 2023-12-08 - 1.0.233 to 1.0.236 - Core Fixes
Multiple updates to core functionalities.

## 2023-11-29 - 1.0.231 to 1.0.232 - Core Fixes
Minor core patches.

## 2023-10-31 - 1.0.229 to 1.0.230 - Core Fixes
Various updates and fixes for core.

## 2023-10-24 - 1.0.228 to 1.0.229 - Core Fixes
More core updates and patches.

## 2023-10-23 - 1.0.226 to 1.0.228 - Core Fixes
Series of updates and fixes for core functionalities.

## 2023-10-20 - 1.0.223 to 1.0.225 - Core Fixes
Minor updates and fixes for core.

## 2023-10-18 - 1.0.222 to 1.0.223 - Core Fixes
Core patches and bugfixes.

## 2023-10-17 - 1.0.221 to 1.0.222 - Core Fixes
Further updates to core functionalities.

## 2023-10-12 - 1.0.220 to 1.0.221 - Core Fixes
Minor core updates.

## 2023-10-11 - 1.0.219 to 1.0.220 - Core Fixes
Bugfixes and updates for core.

## 2023-10-07 - 1.0.217 to 1.0.219 - Core Fixes
Series of core updates and patches.

## 2023-10-05 - 1.0.216 to 1.0.217 - Core Fixes
Minor updates for core functionalities.

## 2023-09-22 - 1.0.212 to 1.0.215 - Core Fixes
Various updates and fixes for core.

## 2023-09-20 - 1.0.210 to 1.0.211 - Core Fixes
Series of core patches.

## 2023-09-18 - 1.0.209 to 1.0.210 - Core Fixes
Bugfixes and improvements to core.

## 2023-09-17 - 1.0.207 to 1.0.209 - Core Fixes
Minor updates and fixes.

## 2023-09-15 - 1.0.203 to 1.0.206 - Core Fixes
Series of core improvements and fixes.

## 2023-09-14 - 1.0.199 to 1.0.202 - Core Fixes
Patches for core functionalities.

## 2023-09-13 - 1.0.194 to 1.0.198 - Core Fixes
Various bugfixes and updates for core.

## 2023-09-12 - 1.0.190 to 1.0.193 - Core Fixes
Minor core patches.

## 2023-09-09 - 1.0.188 to 1.0.189 - Core Fixes
Updates and bugfixes for core.

## 2023-09-07 - 1.0.186 to 1.0.187 - Core Fixes
Core patches and improvements.

## 2023-09-04 - 1.0.184 to 1.0.185 - Core Fixes
Series of updates and bugfixes for core.

## 2023-09-01 - 1.0.180 to 1.0.183 - Core Fixes
Various core updates and fixes.

## 2023-08-28 - 1.0.177 to 1.0.179 - Core Fixes
Minor bugfixes and updates.

## 2023-08-26 - 1.0.176 to 1.0.177 - Core Fixes
Bugfixes for core functionalities.

## 2023-08-20 - 1.0.173 to 1.0.175 - Core Fixes
Series of updates and fixes for core.

## 2023-08-08 - 1.0.172 to 1.0.173 - Core Fixes
Minor core updates.

## 2023-08-07 - 1.0.171 to 1.0.172 - Core Fixes
Various updates to core.

## 2023-04-12 - 1.0.169 to 1.0.170 - Core Fixes
Bugfixes for core functionalities.

## 2023-04-10 - 1.0.163 to 1.0.168 - Core Fixes
Series of core updates and patches.

## 2023-04-07 - 1.0.160 to 1.0.162 - Core Fixes
Various updates for core functionalities.

## 2023-04-06 - 1.0.155 to 1.0.159 - Core Fixes
Bugfixes and improvements to core.

## 2023-03-27 - 1.0.150 to 1.0.154 - Core Fixes
Minor updates and patches for core functionalities.

## 2023-03-09 - 1.0.149 to 1.0.150 - Core Fixes
Bugfixes for core functionalities.

## 2023-01-17 - 1.0.146 to 1.0.148 - Core Fixes
Updates and fixes for core.

## 2023-01-16 - 1.0.144 to 1.0.145 - Core Fixes
Series of updates and bugfixes for core.

## 2023-01-13 - 1.0.134 to 1.0.143 - Core Fixes
Various core patches and improvements.

## 2023-01-12 - 1.0.132 to 1.0.133 - Core Fixes
Minor fixes for core functionalities.

## 2023-01-11 - 1.0.126 to 1.0.131 - Core Fixes
Series of updates and fixes for core.

## 2023-01-09 - 1.0.122 to 1.0.123 - Core Fixes
Minor core patches and updates.

## 2023-01-07 - 1.0.113 to 1.0.121 - Core Fixes
Updates and bugfixes for core functionalities.

## 2023-01-03 - 1.0.107 to 1.0.110 - Core Fixes
Series of core updates and fixes.

## 2022-12-12 - 1.0.105 to 1.0.106 - Core Fixes
Various core patches.

## 2022-12-07 - 1.0.104 to 1.0.105 - Core Fixes
Bugfixes and improvements to core functionalities.

## 2022-12-06 - 1.0.103 to 1.0.104 - Core Fixes
Series of updates and patches for core.

## 2022-08-18 - 1.0.98 to 1.0.102 - Core Fixes
Updates and bugfixes for core functionalities.

## 2022-07-14 - 1.0.93 to 1.0.94 - Core Fixes
Minor core updates.

## 2022-06-26 - 1.0.92 to 1.0.93 - Core Fixes
Bugfixes for core functionalities.

## 2022-06-10 - 1.0.91 to 1.0.92 - Core Fixes
Updates and patches for core.

## 2022-05-30 - 1.0.90 to 1.0.91 - Core Fixes
Minor updates and bugfixes.

## 2022-05-26 - 1.0.87 to 1.0.89 - Core Fixes
Series of core updates and patches.

## 2022-05-24 to 2022-05-20 - 1.0.83 to 1.0.86 - Core Fixes
Various updates and bugfixes for core functionalities.

## 2022-05-03 - 1.0.79 to 1.0.80 - Core Fixes
Updates and patches for core functionalities.

## 2022-03-18 - 1.0.74 to 1.0.77 - Core Fixes
Bugfixes and updates for core functionalities.

## 2022-01-24 - 1.0.73 to 1.0.74 - Core Fixes
Minor core patches.

## 2021-12-10 - 1.0.71 to 1.0.72 - Core Fixes
Series of updates and fixes for core functionalities.

## 2021-11-27 - 1.0.70 to 1.0.71 - Core Fixes
Bugfixes and improvements to core.

## 2021-10-08 - 1.0.68 to 1.0.69 - Core Fixes
Various core updates and patches.

## 2021-10-07 - 1.0.67 to 1.0.68 - Core Fixes
Minor updates and improvements for core.

## 2021-09-15 - 1.0.64 to 1.0.66 - Core Fixes
Bugfixes and improvements to core functionalities.

## 2021-09-14 - 1.0.61 to 1.0.62 - Core Fixes
Minor patches and updates for core.

## 2021-09-10 - 1.0.57 to 1.0.60 - Core Fixes
Series of updates and fixes for core functionalities.

## 2021-09-09 - 1.0.54 to 1.0.56 - Core Fixes
Various core updates and patches.

## 2021-09-01 - 1.0.51 to 1.0.53 - Core Fixes
Minor updates for core functionalities.

## 2021-08-29 - 1.0.49 to 1.0.50 - Core Fixes
Bugfixes and patches for core.

## 2021-08-27 - 1.0.44 to 1.0.48 - Core Fixes
Series of updates and improvements for core functionalities.

## 2021-08-26 - 1.0.42 to 1.0.43 - Core Fixes
Minor updates and bugfixes for core.

## 2021-08-25 - 1.0.38 to 1.0.41 - Core Fixes
Extracted series of core updates and patches.

## 2021-08-24 - 1.0.37 - Core Fix
Bugfixes for core functionalities.

## 2021-08-20 - 1.0.34 to 1.0.36 - Core Fixes
Core functionalities updates and patches.

## 2021-05-05 - 1.0.32 to 1.0.33 - Core Fixes
Series of core bugfixes.

## 2021-03-06 - 1.0.29 to 1.0.31 - Core Fixes
Updates and improvements for core functionalities.

## 2021-02-13 - 1.0.27 to 1.0.28 - Core Fixes
Bugfixes and patches for core functionalities.

## 2020-12-10 - 1.0.25 to 1.0.26 - Core Fixes
Various core updates and improvements.

## 2020-12-02 - 1.0.23 to 1.0.24 - Core Fixes
Minor updates for core functionalities.

## 2020-12-01 - 1.0.21 to 1.0.22 - Core Fixes
Bugfixes and patches for core.

## 2020-09-13 - 1.0.19 to 1.0.20 - Core Fixes
Updates and bugfixes for core functionalities.

## 2020-05-11 - 1.0.17 to 1.0.18 - Core Fixes
Core functionalities updates.
